#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int n;
    cin >> n;
    int a[n], b[n];
    for(int i=0; i<n; i++)
        cin >> a[i];
    for(int i=0; i<n; i++)
        cin >> b[i];
    int ans = 0, pom1, pom2;
    for(int i=0; i<n; i++)
    {
        pom1 = a[i];
        pom2 = b[i];
        ans = max(ans, pom1*pom2);
        for(int j=i+1; j<n; j++)
        {
            pom1 ^= a[j];
            pom2 &= b[j];
            ans = max(ans, pom1*pom2);
        }
    }
    cout << ans;

    return 0;
}